package com.za.bean.request

data class OrderListRequest(
	val vehicleId : Int? = null,
	val deviceId : String? = null,
)

/**
 * 照片模版请求数据
 */
data class PhotoTemplateRequest(val userOrderId : Int? = null)


//照片识别
data class OrderPhotoOcrRecognizeRequest(
	val userOrderId : Int? = null,
	val recognizeType : Int? = null,
	val imgUrl : String? = null,
)

data class TaskFinishRequest(val userOrderId : Int? = null,
	val lat : Double? = null,
	val lng : Double? = null,
	val operateTime : Long? = null)

data class GiveUpTaskRequest(
	val taskId : Int? = null, //任务id
	val userId : Int? = null, //用户id
	val vehicleId : Int? = null, //车辆id
	val lat : Double? = null,
	val lng : Double? = null,
	val address : String? = null,
	val templatePhotoInfoList : List<String?>? = null, //照片数据
	val pushGiveUpFlag : Int? = null, //1 是  0否
)

data class UpdatePhotoRequest(val taskId : Int? = null,
	val taskState : String? = null,
	val picturePosition : Int? = null, //图片位置
	val picturePath : String? = null, //图片路径
	val imgInfo : String? = null)

data class SwitchTaskRequest(val currentTaskId : Int? = null,
	val nextTaskId : Int? = null,
	val userId : Int? = null,
	val vehicleId : Int? = null)

data class HistoryTasksRequest(val userId : Int? = null, val vehicleId : Int? = null)

data class HistoryPhotoTemplateRequest(val taskId : Int? = null)

data class HistoryDetailRequest(val taskId : Int? = null)

data class TaskNotesRequest(val taskId : Int? = null)

